libnet-ssh2-perl_0.53-2+b1_i386.deb


Advertisement

Description

libnet-ssh2-perl - Perl module for the SSH 2 protocol

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnet-ssh2-perl
Package version: 0.53
Package release: 2+b1
Package architecture: i386
Package type: deb
Installed size: 235 B
Download size: 87.04 KB
Official Mirror: ftp.br.debian.org
Net::SSH2 is a perl interface to the libssh2 (http://www.libssh2.org) library. It supports the SSH2 protocol (there is no support for SSH1) with all of the key exchanges, ciphers, and compression of libssh2.

Alternatives

    Download

    Source package: libnet-ssh2-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnet-ssh2-perl deb package:
      # sudo apt-get install libnet-ssh2-perl

    Files

    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/Channel.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/Dir.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/File.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/Listener.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/PublicKey.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/Net/SSH2/SFTP.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/auto/Net/SSH2/SSH2.so
    • /usr/lib/i386-linux-gnu/perl5/5.20/auto/Net/SSH2/autosplit.ix
    • /usr/share/doc/libnet-ssh2-perl/README
    • /usr/share/doc/libnet-ssh2-perl/TODO
    • /usr/share/doc/libnet-ssh2-perl/changelog.Debian.gz
    • /usr/share/doc/libnet-ssh2-perl/changelog.Debian.i386.gz
    • /usr/share/doc/libnet-ssh2-perl/changelog.gz
    • /usr/share/doc/libnet-ssh2-perl/copyright
    • /usr/share/doc/libnet-ssh2-perl/examples/example.pl
    • /usr/share/man/man3/Net::SSH2.3pm.gz
    • /usr/share/man/man3/Net::SSH2::Channel.3pm.gz
    • /usr/share/man/man3/Net::SSH2::Dir.3pm.gz
    • /usr/share/man/man3/Net::SSH2::File.3pm.gz
    • /usr/share/man/man3/Net::SSH2::Listener.3pm.gz
    • /usr/share/man/man3/Net::SSH2::PublicKey.3pm.gz
    • /usr/share/man/man3/Net::SSH2::SFTP.3pm.gz

    Changelog

    2014-05-30 - Daniel Lintott <daniel@serverb.co.uk> libnet-ssh2-perl (0.53-2) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Daniel Lintott ] * Add myself to uploaders * Change build-depends to libgcrypt20-dev. Thanks to Niko Tyni for spotting this (Closes: #749938) * Bunp standards version to 3.9.5

    2013-09-08 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.53-1) unstable; urgency=low * Imported Upstream version 0.53

    2013-08-15 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.52-1) unstable; urgency=low * Imported Upstream version 0.52

    2013-08-04 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.51-1) unstable; urgency=low * Imported Upstream version 0.51

    2013-07-29 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.50-1) unstable; urgency=low * Imported Upstream version 0.50

    2013-07-24 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.49-1) unstable; urgency=low * Imported Upstream version 0.49

    2013-05-23 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.48-1) unstable; urgency=low * Imported Upstream version 0.47 and 0.48 * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs * Build using libgcrypt. Add override target for dh_auto_configure to explicitly build with gcrypt. * Add Build-Depends on libgcrypt11-dev * Update copyright years for debian/* packaging files

    2012-12-21 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.46-2) unstable; urgency=low * Add zlib1g-dev to Build-Depends. Thanks to James McCoy <jamessan@debian.org> (Closes: #696462) * Drop fix-build build patch

    2012-11-10 - Salvatore Bonaccorso <carnil@debian.org> libnet-ssh2-perl (0.46-1) unstable; urgency=low * Imported Upstream version 0.46 * Bump Standards-Version to 3.9.4

    2012-08-09 - gregor herrmann <gregoa@debian.org> libnet-ssh2-perl (0.45-1) unstable; urgency=low * Team upload. [ Salvatore Bonaccorso ] * Imported Upstream version 0.45 [ gregor herrmann ] * Add libterm-readkey-perl to Recommends, needed for keyboard- interactive authentication. Thanks to jfried for the bug report (LP: #1035097) * Use debhelper 9.20120312 to get all hardening flags.

    Advertisement
    Advertisement